<html>
<head>
<title><?php echo _e('Confirmation Email', 'tblight');?></title>
</head>
<body>
	
<table border="0">
	<?php
	if($elsettings->header_logo!="") {
	?>
        <tr>
		<td align="right">
			<img src="<?php echo $elsettings->header_logo;?>" alt="header_logo" border="0" />
		</td>
	</tr>
        <tr><td>&nbsp;</td></tr>
	<?php } ?>
	
	<?php
	if($header_info!="") {
	?>
        <tr>
		<td align="left"><?php echo $header_info;?></td>
	</tr>
        <tr><td>&nbsp;</td></tr>
        <tr><td><hr></td></tr>
        <?php } ?>
	
	<tr>
                <td>
			<table border="0" width="100%">
                                <tr width="100%">
                                        <td width="50%">
						<?php echo _e('Reference No', 'tblight');?>:&nbsp;&nbsp;&nbsp;<?php echo $row_queue->order_number;?>
					</td>
                                        <td width="50%">
                                            	<?php
						//  ORDER ID 1234 STATUS: Accepted
						echo sprintf('ORDER ID %s STATUS: %s',$row_queue->id,$row_queue->order_status);
						?>
                                        </td>
                                </tr>
                                
				<tr><td colspan="2"><hr></td></tr>
                                
				<tr width="100%">
                                        <td width="50%" style="vertical-align:top;">
						<span style="text-decoration:underline;">
							<?php echo _e('Traveller information', 'tblight');?>
						</span>
						
						<table border="0" width="100%">
							<tr width="100%">
								<td width="30%"><?php echo _e('Passenger', 'tblight');?>:</td>
								<td width="70%"><strong><?php echo $row_queue->names;?></strong></td>
							</tr>
							<tr width="100%">
								<td width="30%"><?php echo _e('Email', 'tblight');?>:</td>
								<td width="70%"><?php echo $row_queue->email;?></td>
							</tr>
							<tr width="100%">
								<td width="30%"><?php echo _e('Phone', 'tblight');?>:</td>
								<td width="70%">
								<?php
								// UPDATE July 28.2016 - If phone prefix country code is blank in Order row, this means this order was submitted from Old design
								// In that case, we will not show country prefix, just simply print the Order phone number
								$country_code_display = '';
								if($row_queue->country_calling_code!=""){
								    $country_code_display = '+'.$row_queue->country_calling_code.' ';
								}
								echo $country_code_display.$row_queue->phone;
								?>
								</td>
							</tr>
						</table>
                                        </td>
					
                                        <td width="50%" style="vertical-align:top;">
						<span style="text-decoration:underline;">
							<?php echo _e('Carrier Details', 'tblight');?>
						</span>
						
						<table border="0" width="100%">
						
						<?php 
						if ($row_queue->selpassengers > 0) {
						?>
							<tr width="100%">
								<td width="45%"><?php echo _e('PASSENGER_SEATS', 'tblight');?>:</td>
								<td width="55%"><?php echo $row_queue->selpassengers;?></td>
							</tr>
						<?php }?>
						
						<?php 
						if ($row_queue->selchildseats > 0) {
							$price_to_added = $row_queue->selchildseats * (float)$carObj->child_seat_price;
							$price_to_added = ($price_to_added>0) ? ' ('.BookingHelper::price_display($price_to_added, $elsettings).')' : '';
						?>
							<tr width="100%">
								<td width="45%"><?php echo _e('CHILD_SEATS', 'tblight');?>:</td>
								<td width="55%"><?php echo $row_queue->selchildseats.$price_to_added;?></td>
							</tr>
						<?php } ?>
						
						<?php 
						if ($row_queue->selluggage > 0) {
						?>
							<tr width="100%">
								<td width="45%"><?php echo _e('Check-in Luggage', 'tblight');?>:</td>
								<td width="55%"><?php echo $row_queue->selluggage;?></td>
							</tr>
						<?php } ?>
						
						<?php
						$vehicle_style = '';
						if(isset($old_row_queue) && $old_row_queue->vehicletype!=$row_queue->vehicletype){
							$vehicle_style = ' style="color:red;"';
						}
						?>
							<tr width="100%">
								<td width="45%"><?php echo _e('Vehicle type', 'tblight');?>:</td>
								<td width="55%"<?php echo $vehicle_style;?>><?php echo BookingHelper::get_order_car($row_queue); ?></td>
							</tr>
						</table>
                                        </td>
                                </tr>
				
                                <tr><td colspan="2"><hr></td></tr>
                                
				<tr width="100%">
                                        <td width="50%" style="vertical-align:top;">
						<span style="text-decoration:underline;">
							<?php echo _e('Pick-up Information', 'tblight');?>
						</span>
						
						<table border="0" width="100%">
							
							<?php
							if($row_queue->begin!="")
							{
								if(isset($receiver) && ($receiver=='driver' || $receiver=='admins'))
								{
									$lat = $row_queue->pickup_lat;
									$lng = $row_queue->pickup_lng;
									$pickup = '<a href="http://maps.google.com/maps?q='.urlencode("$lat,$lng").'">'.$row_queue->begin.'</a>';
								}
								else {
									$pickup = $row_queue->begin;
								}
							?>
							<tr width="100%">
								<td width="30%"><?php echo _e('FROM', 'tblight');?>:</td>
								<td width="70%"><?php echo $pickup;?></td>
							</tr>
							<?php } ?>
							
							<tr width="100%">
								<td width="30%"><?php echo _e('Date', 'tblight');?>:</td>
								<td width="70%"><?php echo BookingHelper::get_order_pickup_date($row_queue, $elsettings); ?></td>
							</tr>
						</table>
                                        </td>

										<td width="50%" style="vertical-align:top;">
						<span style="text-decoration:underline;">
							<?php echo _e('Drop-off Information', 'tblight');?>
						</span>
						<table border="0" width="100%">
							
							<?php
							if($row_queue->end!="")
							{
								if(isset($receiver) && ($receiver=='driver' || $receiver=='admins'))
								{
									$lat = $row_queue->dropoff_lat;
									$lng = $row_queue->dropoff_lng;
									$dropoff = '<a href="http://maps.google.com/maps?q='.urlencode("$lat,$lng").'">'.$row_queue->end.'</a>';
								}
								else {
									$dropoff = $row_queue->end;
								}
								?>
							<tr width="100%">
								<td width="30%"><?php echo _e('TO', 'tblight');?>:</td>
								<td width="70%"><?php echo $dropoff;?></td>
							</tr>
							<?php } ?>
						</table>
                                        </td>

                                </tr>
                        </table>
		</td>
	</tr>
        
	<tr><td><hr></td></tr>
		
        <tr>
		<td>
			<table width="70%">
				<?php if($elsettings->show_price==1){ ?>
				<tr>
					<td width="35%"><?php echo _e('Sub Total', 'tblight');?>:</td>
					<td width="35%"><strong><?php echo BookingHelper::price_display($row_queue->sub_total, $elsettings);?></strong></td>
				</tr>
				
				<?php if($row_queue->flat_cost>0){ ?>
				<tr>
					<td width="35%"><?php echo _e('Flat Cost', 'tblight');?>:</td>
					<td width="35%"><strong><?php echo BookingHelper::price_display($row_queue->flat_cost, $elsettings);?></strong></td>
				</tr>
				<?php } ?>
			
				<?php if($row_queue->percentage_cost>0){ ?>
				<tr>
					<td width="35%"><?php echo _e('Tax', 'tblight');?>:</td>
					<td width="35%"><strong><?php echo BookingHelper::price_display($row_queue->percentage_cost, $elsettings);?></strong></td>
				</tr>
				<?php } ?>
				
				<tr>
					<td width="35%"><?php echo _e('Grand Total', 'tblight');?>:</td>
					<td width="35%"><strong><?php echo BookingHelper::price_display($row_queue->cprice, $elsettings).$converted_currency_label;?></strong></td>
				</tr>
				<?php } ?>
				
				<?php if($row_queue->custom_payment!=''){ ?>
				<tr>
					<td width="35%"><?php echo _e('Payment Method', 'tblight');?>:</td>
					<td width="35%"><strong><?php echo BookingHelper::get_order_payment($row_queue);?></strong></td>
				</tr>
				<?php } ?>
				
				<?php echo $payment_data;?>
			</table>
		</td>
	</tr>
	
	<tr><td><hr></td></tr>

	<tr>
		<td>
			<center><b><?php echo _e('Thank you and have a pleasant journey!', 'tblight');?></b></center>
		</td>
	</tr>
	<tr>
		<td>
			<center>
				<span style="color:blue"><?php echo _e('Orders are subject to our terms & conditions. We welcome all comments on the services we provide.', 'tblight');?></span>
			</center>
		</td>
	</tr>
	<tr><td><hr></td></tr>
	
	<?php
	if($contact_info!="") {
	?>
	<tr>
		<td>
			<center><?php echo _e('Contact us', 'tblight').':' . $contact_info ;?></center>
		</td>
	</tr>
	<?php } ?>

</table>
</body>
</html>
