<div class="vehicles-item">
	<div class="vehicles-item-i">
	    <div class="vehicles-item-box">
		<div class="vehicle-room">
			<h3 class="vehicle-title title-top"><?php echo $car->title;?></h3>
			<div class="vehicle-img">
				<?php echo $image;?>
				<?php
				if($car->text!=""){
					echo '<br/><a href="javascript:void(0);" class="car_desc" title="'.strip_tags($car->text).'">Vehicle Description</a>';
				}
				?>
			</div>
		    
			<div class="vehicles-specs custom-clearfix">
				<div class="custom-col-md-6 custom-col-sm-6 custom-col-xs-6 passenger-number">
				    <span class="custom-input-group-addon"><span class="icon-user-full"><i class="fa fa-male"></i></span><span class="custom-sr-only">Passengers</span></span>
				    <span class="custom-input-group-addon"><?php echo $car->passenger_no;?></span>
				</div>
				<div class="custom-col-md-6 custom-col-sm-6 custom-col-xs-6 suitcase-number">
				    <span class="custom-input-group-addon"><span class="icon-briefcase-case"><i class="fa fa-briefcase"></i></span><span class="custom-sr-only">Bags</span></span>
				    <span class="custom-input-group-addon"><?php echo $car->suitcase_no;?></span>
				</div>
			</div>
		</div>

		<div class="vehicle-price-outer">
			<div class="vehicle-price">
				<div class="booking-price">
					<?php echo BookingHelper::price_display($car_price, $elsettings); ?>
				</div>
				
				<?php
				if ( $is_admin && $elsettings->debug_price_calculation==1)
				{
					$price_debug_html = '';
					$price_debug_html .= '<a href="javascript:void(0);" class="rate_details" data-title="Price calculation details" data-target-selector="price_calculation_details_panel_'.$car->id.'">Price calculation details</a>';
					
					$price_debug_html .= '<div class="price_calculation_details_panel price_calculation_details_panel_'.$car->id.'" style="display:none;">Below price calculation is visible only to logged in Admins, customers will only see the Total price above.<br/>';
					foreach($debug_array as $debug_line_key => $debug_item)
					{
						if(isset($debug_cars_array[$car->id][$debug_line_key])){
							$price_debug_html .= '>> '.$debug_cars_array[$car->id][$debug_line_key]['title'].': '.$debug_cars_array[$car->id][$debug_line_key]['charge_string'].'<br/>';
							unset($debug_cars_array[$car->id][$debug_line_key]);
						}
						else {
							if($debug_item['total_unit']=='none'){
								$price_debug_html .= '>> '.$debug_item['title'].': '.BookingHelper::price_display($debug_item['charge_per_unit'], $elsettings).'<br/>';
							}
							elseif($debug_item['total_unit']=='string'){
								$price_debug_html .= '>> '.$debug_item['title'].': '.$debug_item['charge_string'].'<br/>';
							}
							else {
								$price_debug_html .= '>> '.$debug_item['title'].': '.$debug_item['total_unit'].' X '.BookingHelper::price_display($debug_item['charge_per_unit'], $elsettings).'<br/>';
							}
						}
					}
					foreach($debug_cars_array[$car->id] as $debug_item)
					{
						$price_debug_html .= '>> '.$debug_item['title'].': '.$debug_item['charge_string'].'<br/>';
					}
					
					$price_debug_html .= '>> <a href="" target="_blank">Total Price Round Up</a>: ';
					if($elsettings->roundup_price=='nearest5'){
						$price_debug_html .= 'Nearest 5 upwards';
					}
					elseif($elsettings->roundup_price=='whole') {
						$price_debug_html .= 'Whole Number';
					}
					else {
						$price_debug_html .= 'No';
					}
					$price_debug_html .= '</div>';
					echo $price_debug_html;
				}
				?>
				
				<a class="custom-btn custom-btn-lg custom-btn-block custom-btn-primary car_booking button-color" data-carid="<?php echo $car->id;?>" href="javascript:void(0);">
					Book now <span class="icon"><i class="fa fa-chevron-right"></i></span>
				</a>
			</div>
		</div>
	    </div>
	</div>
</div>